<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
	PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:p="http://primefaces.org/ui" xmlns:pe="http://primefaces.org/ui/extensions">

<head>
	<title>Art-B2b</title>
	<meta name="description" content="ART" />
	<meta name="keywords" content="ART" />

	<link rel="shortcut icon" href="./assets/logoart.gif" />

	<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
	<link href="app/assets/css/main.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="css/lobibox.css" />
	<link href="./login_lib/css" rel="stylesheet" type="text/css">
	<link href="./login_lib/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link href="./login_lib/common.min.css" rel="stylesheet" type="text/css">
	<link href="./login_lib/custom.css" rel="stylesheet" type="text/css">
	<script src="assets/js/jquery-v3.6.0/jquery-3.6.0.min.js"></script>
	<script src="js/lobibox.min.js"></script>
	<script src="js/urlsettings.js"></script>
	<script id="recaptchaa"></script>


</head>

<body class="loginForm">
	<div id="carouselLogin" class="carousel slide carousel-fade" data-ride="carousel">
		<div class="carousel-inner">

			<div class="carousel-item" style="background-image: url(&#39;assets/img/bg-01.jpg&#39;)"></div>
			<div class="carousel-item" style="background-image: url(&#39;assets/img/bg-02.jpg&#39;)"></div>
			<div class="carousel-item active" style="background-image: url(&#39;assets/img/bg-03.jpg&#39;)"></div>
		</div>
	</div>


	<div class="row">
		<div class="col-md-5 col-md-offset-3" style="margin-left: 53%;">



			<form name="loginFrm" style="display: block;" id="loginForm">

				<div class="">
					<div class="card shadow  mb-0" style="    margin-top: 103px;
							margin-left: 50px;
						">
						<div class="card-body">
							<div class="mb-3">
								<img src="./Login_files/art-logo.png" alt="">
							</div>
							<div class="mb-3" id="loginAccount">
								<h3 class="mb-0">Login to your account</h3>
							</div>
							<div class="mb-3" id="forgot">
								<h3 class="mb-0">Forgot Your Password
								</h3>
							</div>
							<div class="mb-3" id="changePswrd">
								<h3 class="mb-0">Change Password</h3>
							</div>
							<div class="mb-3" id="otp" style="text-align: center;">
								<h3 class="mb-0">Verify With OTP
								</h3>
								<div class="mb-0">Please enter the OTP sent to <span id="mailId"
										style="color: cornflowerblue;"></span>
								</div>
							</div>
							<div class="form-group mb-2" id="verifyOtpmail">
								<label>Enter Email</label>
								<input type="email" class="form-control" id="emailids"
									style="background-color: #f1f4f7;" placeholder="enter your username">
							</div>


							<div class="container" id="thisisotp">
								<div class="row justify-content-md-center">
									<div class="col-md-12 text-center">
										<div class="row" style="margin-top:-41px">
											<div class="col-sm-12 mt-5">



												<input class="otp inputs" id="otp1"
													style="    display: inline-block;width: 50px;height: 50px;text-align: center;"
													type="text" oninput='digitValidate(this)' onkeyup='tabChange(1)'
													maxlength=1>&nbsp;&nbsp;
												<input class="otp inputs" id="otp2"
													style="    display: inline-block;width: 50px;height: 50px;text-align: center;"
													type="text" oninput='digitValidate(this)' onkeyup='tabChange(2)'
													maxlength=1>&nbsp;&nbsp;
												<input class="otp inputs" id="otp3"
													style="    display: inline-block;width: 50px;height: 50px;text-align: center;"
													type="text" oninput='digitValidate(this)' onkeyup='tabChange(3)'
													maxlength=1>&nbsp;&nbsp;
												<input class="otp inputs" id="otp4"
													style="    display: inline-block;width: 50px;height: 50px;text-align: center;"
													type="text" oninput='digitValidate(this)' onkeyup='tabChange(4)'
													maxlength=1>&nbsp;&nbsp;
												<input class="otp inputs" id="otp5"
													style="    display: inline-block;width: 50px;height: 50px;text-align: center;"
													type="text" oninput='digitValidate(this)' onkeyup='tabChange(5)'
													maxlength=1>&nbsp;&nbsp;
												<input class="otp inputs" id="otp6"
													style="    display: inline-block;width: 50px;height: 50px;text-align: center;"
													type="text" oninput='digitValidate(this)' onkeyup='tabChange(6)'
													maxlength=1>&nbsp;&nbsp;

												<!-- <hr class="mt-4"> -->
												<br> <br>
												<div class="mb-3" id="otp" style="text-align: center;">

													<div class="mb-0"><a href="javascript:;" onclick="resetPassword()"
															class="reset-link" style="color: red;"> Resend the OTP ?
														</a><span class="countdown"
															style="color: cornflowerblue;"></span>
													</div>
												</div>
												<button type="button"
													class='btn btn-primary btn-block mt-4 mb-4 customBtn'
													onclick="verifyOtpRecaptchaa()">VERIFY & PROCEED</button>
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="form-group" id="passwordHide">
								<label>Enter Password</label>
								<input type="password" class="form-control loginPassword" id="passwords"
									placeholder="enter your password">
							</div>
							<div class="form-group" id="currentpassword">
								<label>Current Password</label>
								<input type="password" class="form-control" id="currentpswrd"
									placeholder="enter your current password">
							</div>
							<div class="form-group" id="createpasswordHide">
								<label>New Password</label>
								<input type="password" onkeyup="checkBlockedPswrd('Createpasswords','blockedPswrdErrMsgNP',
								'changeNewPswrdSBT','Confirmpasswords')" isBlockePsdErr=0 class="form-control" id="Createpasswords"
									placeholder="enter your new password">
								<span class="text-danger" id="blockedPswrdErrMsgNP"></span>
							</div>
							<div class="form-group" id="confirmpasswordHide">
								<label>Confirm New Password</label>
								<input type="password" isBlockePsdErr=0 onkeyup="checkBlockedPswrd('Confirmpasswords','blockedPswrdErrMsgCNP','changeNewPswrdSBT','Createpasswords')" class="form-control" id="Confirmpasswords"
									placeholder="enter your confirm password">
								<span class="text-danger" id="blockedPswrdErrMsgCNP"></span>
							</div>
							<div class="form-group" id="passwordmatch" style="color: red;"></div>


							<div id="pswd_info">
								<h4>Password must meet the following requirements:</h4>
								<ul>
									<li id="length" class="invalid"> <i class='fa fa-check-circle'></i> 8 or more
										characters</li>
									<li id="splChar" class="invalid"><i class='fa fa-check-circle'></i> Atleast one
										Special characters</li>
									<li id="capital" class="invalid"><i class='fa fa-check-circle'></i> Uppercase letter
									</li>
									<li id="lowercse" class="invalid"><i class='fa fa-check-circle'></i> Lowercase
										letter</li>
									<li id="number" class="invalid"><i class='fa fa-check-circle'></i> Atleast one
										number</li>
								</ul>
								<br />
								<h4> <strong> Strength:</strong></h4>
								<ul>
									<li>
										<div class="progress">
											<div id="progress" class="progress-bar"></div>
										</div>
									</li>
									<li>
										Avoid using a password that you use with other websites or that might be easy
										for someone else to guess.
									</li>
								</ul>
							</div>

							<div class="form-group" id="loginButtonHide">
								<button onclick="login()" type="submit" class="btn btn-primary">
									Login</button>
							</div>
							<div class="form-group" id="changePswrdBtn">
								<button onclick="changeNewPswrd()" id="changeNewPswrdSBT" type="submit" class="btn btn-primary">
									Submit</button>
							</div>
							<div class="form-group" id="resetPasswordchange">
								<button onclick="resetPasswordchange()" id="changeNewPswrdSBTRP" type="submit" class="btn btn-primary">
									Reset Password</button>
							</div>
							<div class="form-group" id="forgot1">
								<button onclick="resetPassword()" type="submit" style="    background-color: #d2322d;
										font-weight: 500;
									" class="btn btn-primary">
									Reset</button>
							</div>
							<hr id="frgtLine" class="mb-2">
							<div class="form-group mb-0" id="passwordHide1">
								Forgot password? <a href="javascript:;" onclick="forgotPassDiv()" class="reset-link"
									style="color: red;"> Reset</a>
							</div>
							<div class="form-group mb-0" id="forgot2">
								<a class="mousePointer" style="color: red; cursor: pointer;" class="reset-link"
									onclick="returns();">Return to Sign In ?<span class="fa fa-rotate-left"></span></a>
							</div>
						</div>
					</div>





					<div class="form-row" style="display: none;">
						<div class="form-group col-md-6">
							<label for="gender1"><span class="star">Gender</span></label>
							<select class="form-control borderRads" id="gender1" name="gender" required="true">
								<option value="" disabled selected>Gender</option>
							</select>
						</div>
						<div class="form-group col-md-6">
							<label class="" for="country"><span class="star">Country</span></label>
							<select class="form-control borderRads" value="" id="country" name="country">
								<option value="" disabled selected>Country</option>
							</select>
						</div>

					</div>














				</div>
			</form>
		</div>
	</div>


	<style>
		.bgWhite {
			background: white;
			box-shadow: 0px 3px 6px 0px #cacaca;
		}

		.title {
			font-weight: 600;
			margin-top: 20px;
			font-size: 24px
		}

		.customBtn {
			border-radius: 0px;
			padding: 10px;
		}

		#pswd_info {
			display: none;
		}

		body {
			overflow-y: auto !important;
			overflow-x: hidden;
		}

		.menutpheader {
			display: none;
		}

		.ftr-login {
			display: none;
		}

		.lobibox .lobibox-body {
			width: 100% !important;
		}

		#pswd_info {
			position: absolute;
			bottom: 335px;
			bottom: 1px;
			/* IE Specific */
			right: 1px;
			width: 250px;
			padding: 15px;
			background: #fefefe;
			font-size: .875em;
			border-radius: 5px;
			box-shadow: 0 1px 3px #ccc;
			border: 1px solid #ddd;
			z-index: 1000;

		}

		#pswd_info h4 {
			margin: 0 0 10px 0;
			padding: 0;
			font-weight: normal;
		}

		#pswd_info::before {
			content: "\25B2";
			position: absolute;
			top: -12px;
			left: 45%;
			font-size: 14px;
			line-height: 14px;
			color: #ddd;
			text-shadow: none;
			display: block;
		}

		#pswderror {
			float: right !important;
			color: #f44336;
		}

		.lobibox-notify.notify-mini .lobibox-notify-body {
			/* margin: 10px 13px !important; */
			margin: 15px 0 0 0 !important;
			margin-left: 51px !important;
			font-family: "Montserrat", sans-serif !important;
		}

		.lobibox-notify.notify-mini {
			min-height: 54px !important;
		}

		.lobibox-notify.notify-mini .lobibox-notify-icon,
		.lobibox-notify.notify-mini .lobibox-notify-icon>* {
			line-height: 26px !important;
		}

		.lobibox-notify.notify-mini .lobibox-notify-icon {

			font-size: 32px !important;
		}

		.lobibox-notify.notify-mini .lobibox-notify-msg {
			line-height: 16px !important;
			font-size: 16px !important;
		}


		.lobibox-notify.lobibox-notify-success {
			border-color: #24a370 !important;
			background-color: rgba(41, 184, 126, 0.9) !important;
			color: #ffffff !important;
			width: 351px !important;
		}

		.lobibox-notify-wrapper.left {
			left: 5px !important;
		}
	</style>






	<script type="text/javascript">
		var cookiesSessionId = Math.random().toString(36).substr(2);
		document.cookie = 'CSRF-TOKEN=' + cookiesSessionId + ';path=/'
		localStorage.clear();
		sessionStorage.clear();
		$(".inputs").keyup(function () {
			if (this.value.length == this.maxLength) {
				$(this).next('.inputs').select();
			}
		});

		function checkBlockedPswrd(eleID,errMsgID,subBtn,othElemID){
			let paswrdEle = document.getElementById(eleID);
			let otherEle = document.getElementById(othElemID);
			let currentPass = paswrdEle.value;
			if(Array.isArray(blockedPswrdList) && blockedPswrdList.length > 0){
				let isBlockedPswrd = blockedPswrdList.includes(currentPass.trim());
				if(isBlockedPswrd){
					document.getElementById(errMsgID).innerHTML = "Typed password not allowed under blocked password list.";
					paswrdEle.setAttribute('isBlockePsdErr',1);
				}
				if(!isBlockedPswrd){
					document.getElementById(errMsgID).innerHTML = "";
					paswrdEle.setAttribute('isBlockePsdErr',0);
				}
				if(paswrdEle.getAttribute('isBlockePsdErr') == 0 
				&& otherEle.getAttribute('isBlockePsdErr') == 0){
					document.getElementById('changeNewPswrdSBTRP').disabled = false;
					document.getElementById('changeNewPswrdSBT').disabled = false;
				}else if(paswrdEle.getAttribute('isBlockePsdErr') == 1 
				|| otherEle.getAttribute('isBlockePsdErr') == 1){
					document.getElementById('changeNewPswrdSBTRP').disabled = true;
					document.getElementById('changeNewPswrdSBT').disabled = true;
				}
			}
		}


		function tabChangecreate() {
			// $(function () {
			$("#Confirmpasswords").keyup(function () {
				$('#pswd_info').css({ "right": "90px", "top": "174px" });

				if ($('#Createpasswords').val() !== $('#Confirmpasswords').val()) {
					$('#pswderror').removeClass('hidden');

				} else {
					$('#pswderror').addClass('hidden');
				}

			});
			$("#Createpasswords").keyup(function () {
				$('#pswd_info').css({ "right": "294px", "top": "170px" });
			});
			// });
		}
		var passwordvalid = true;
		//PASSWORD CHECKER 			
		$(document).ready(function () {
			$('input[type=password]').keyup(function () {

				// 				var password = document.getElementById('passwords').value;
				// 				if(password!=''){
				// 					var passwordvalid=false
				// 					sessionStorage.setItem('passwordvalid',(passwordvalid));
				// return false;

				// 				}else if(password=='' && sessionStorage.passwordvalid=="false"){

				// 					var passwordvalid=true
				// 					sessionStorage.setItem('passwordvalid',(passwordvalid));
				// 					return false;
				// 				}
				var percentage = 0;

				var pswd = $(this).val();
				if (pswd.length < 8) {
					$('#length').removeClass('valid').addClass('invalid');
				} else {
					percentage += 25;
					$('#length').removeClass('invalid').addClass('valid');
				}

				if (pswd.match(/[A-Z]/)) {
					percentage += 25;
					$('#capital').removeClass('invalid').addClass('valid');
				} else {
					$('#capital').removeClass('valid').addClass('invalid');
				}

				if (pswd.match(/[a-z]/)) {
					percentage += 25;
					$('#lowercse').removeClass('invalid').addClass('valid');
				} else {
					$('#lowercse').removeClass('valid').addClass('invalid');
				}

				if (pswd.match(/[!@#\$%\^&\*]/)) {
					percentage += 25;
					$('#splChar').removeClass('invalid').addClass('valid');
				} else {
					$('#splChar').removeClass('valid').addClass('invalid');
				}

				//validate number
				if (pswd.match(/\d/)) {
					percentage += 25;
					$('#number').removeClass('invalid').addClass('valid');
				} else {
					$('#number').removeClass('valid').addClass('invalid');
				}

				if (percentage < 25) {
					$(".progress-bar").css("background", "white");
				} else if (percentage < 50) {
					$(".progress-bar").css("background", "#f34c26");
				} else if (percentage < 75) {
					$(".progress-bar").css("background", "#caf326");
				} else if (percentage < 100) {
					$(".progress-bar").css("background", "#f3ab26");
				} else {
					$(".progress-bar").css("background", "#0f910c");

				}

				$(".progress-bar").css("width", percentage + "%");
				$('#pswd_info').show();


			}).focus(function () {
			}).blur(function () {
				$('#pswd_info').hide();
			});


		});

		$("#currentpassword").hide();
		$("#changePswrd").hide();
		$("#changePswrdBtn").hide();
		$("#forgot").hide();
		$("#thisisotp").hide();
		$("#forgot1").hide();
		$("#forgot2").hide();
		$("#otp").hide();
		$("#resetPasswordchange").hide();

		$("#createpasswordHide").hide();
		$("#confirmpasswordHide").hide();

		function forgotPassDiv() {

			$("#passwordHide").hide();
			$("#otp").hide();
			$("#thisisotp").hide();

			$("#verifyOtpmail").show();
			$("#passwordHide1").hide();
			$("#loginButtonHide").hide();
			// $("#thisisotp").show();
			$("#forgot").show();
			$("#forgot2").show();
			$("#forgot1").show();
			$("#loginAccount").hide();

			// $scope.submitforgotuser = false;
			// $scope.forForgot1 = true;
			// $scope.forForgot = true;
			// $scope.hideLoginErr = true;
			// $scope.signUpTag = false;
			// $scope.signInTag = true;
			// $scope.forgotPassTag = true;
			// $scope.errloginmsg = false;
		}
		function returns() {
			$("#passwordHide").show();
			$("#passwordHide1").show();
			$("#loginButtonHide").show();

			$("#forgot").hide();
			$("#thisisotp").hide();
			$("#forgot2").hide();
			$("#forgot1").hide();
			$("#loginAccount").show();
		}


		function resetPassword() {
			var emailId = document.getElementById('emailids').value;
			if (emailId == "") {
				/* alert('Please Enter First Name'); */
				document.getElementById('emailids').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('emailids').style.borderColor = "black";
			}




			// var tokenresult = JSON.parse(localStorage.getItem('authentication'));
			// var tokenname = tokenresult.data;
			// var headersOptions = {
			//         'Content-Type': 'application/json',
			//         'Authorization': 'Bearer ' + tokenname.authToken
			//     }


			var authentication = API_URL + "auth/api/v1/user/forgot-password"


			$.ajax({
				type: 'POST',
				url: authentication,
				contentType: 'application/json',
				dataType: 'json',
				headers: { "Accepts": "text/plain; charset=utf-8" },
				data: emailId,
				success: function (response, status, jqXHR) {
					if (response.status == "success") {
						$('#otp1').val('');
						$('#otp2').val('');
						$('#otp3').val('');
						$('#otp4').val('');
						$("#thisisotp").show();
						$("#otp").show();
						$("#forgot1").hide();
						$("#forgot").hide();
						$("#forgot2").hide();

						$("#verifyOtpmail").hide();

						document.getElementById("mailId").innerHTML = emailId;
						var minutes = 0, seconds = 59;
						jQuery(function () {
							jQuery("span.countdown").html(minutes + ":" + seconds);
							var count = setInterval(function () { if (parseInt(seconds) < 0) { clearInterval(count); } else { jQuery("span.countdown").html(minutes + ":" + seconds); seconds--; } }, 1000);
						})
						Lobibox.notify('success', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.message
						});


					} else if (response.status == "failure") {
						$('#otp1').val('');
						$('#otp2').val('');
						$('#otp3').val('');
						$('#otp4').val('');
						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.errorMessage
						});


					} else {

						Lobibox.alert('error', {
							msg: response.data.errorMessage
						});
					}

				}, error: function (response, status, err) {
					if (response.status == 401) {

						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.responseJSON.message
						});


					} else if (response.status == 403) {
						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.responseJSON.message
						});
					}
				},


			});



		}

		function verifyOtpRecaptchaa() {
			var isRecaptchaToken = JSON.parse(sessionStorage.getItem('configKeys'));
			if (isRecaptchaToken !== null) {
				let recaptchaTokenValue = isRecaptchaToken.data.google_recaptcha_public_key;
				grecaptcha.ready(function () {
					grecaptcha.execute(recaptchaTokenValue, {})
						.then(function (token) {
							verifyPassword(token);
						});
				});
			} else if (isRecaptchaToken === null) {
				$.ajax({
					type: 'GET',
					url: captchUrl,
					contentType: 'application/json',
					dataType: 'json',
					headers: { "Accepts": "text/plain; charset=utf-8", "CSRFToken": cookiesSessionId },
					success: function (response, status, jqXHR) {
						if (status == "success") {
							sessionStorage.setItem('configKeys', JSON.stringify(response));
							var google_recaptcha_public_key = response.data.google_recaptcha_public_key;
							document.getElementById('recaptchaa').setAttribute("src", "https://www.google.com/recaptcha/api.js?render=" + google_recaptcha_public_key);

							setTimeout(() => {
								grecaptcha.ready(function () {
									grecaptcha.execute(response.data.google_recaptcha_public_key, {})
										.then(function (token) {
											verifyPassword(token);
										});
								});
							}, 500)

						}
					}
				});
			}
		}



		function verifyPassword(token) {
			var emailId = document.getElementById('emailids').value;
			var otp1 = document.getElementById('otp1').value;
			var otp2 = document.getElementById('otp2').value;
			var otp3 = document.getElementById('otp3').value;
			var otp4 = document.getElementById('otp4').value;
			var otp5 = document.getElementById('otp5').value;
			var otp6 = document.getElementById('otp6').value;
			var otp = otp1 + otp2 + otp3 + otp4 + otp5 + otp6;


			sessionStorage.setItem('otp', (otp));
			var verifyOtp = { "username": emailId, "password": otp };
			// sessionStorage.setItem('otp', JSON.stringify(verifyOtp));
			var authentication = API_URL + "auth/api/v1/user/validate-otp"
			$.ajax({
				type: 'POST',
				url: authentication,
				contentType: 'application/json',
				dataType: 'json',
				headers: {
					"Accepts": "text/plain; charset=utf-8",
					"CSRFToken": cookiesSessionId, "g-recaptcha-response": token
				},
				data: JSON.stringify(verifyOtp),
				success: function (response, status, jqXHR) {
					if (response.status == "success") {
						getBlockedPswrdList();
						$('#emailids').prop('readonly', true);
						$("#verifyOtpmail").show();
						$("#createpasswordHide").show();
						$("#confirmpasswordHide").show();
						$("#thisisotp").hide();
						$("#forgot1").hide();
						$("#forgot2").hide();
						$("#otp").hide();
						$("#resetPasswordchange").show();
						Lobibox.notify('success', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.message
						});



					} else if (response.status == "failure") {

						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.errorMessage
						});

					} else {

						Lobibox.alert('error', {
							msg: response.data.errorMessage
						});
					}

				}, error: function (response, status, err) {
					if (response.status == 401) {
						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.responseJSON.message
						});
					} else if (response.status == 403) {
						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.responseJSON.message
						});
					}
				},


			});
		}

		function resetPasswordchange() {
			var returnFlag = true;

			var emailId = document.getElementById('emailids').value;
			if (emailId == "") {
				/* alert('Please Enter First Name'); */
				document.getElementById('emailids').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('emailids').style.borderColor = "black";
			}
			var Createpasswords = document.getElementById('Createpasswords').value;
			if (Createpasswords == "") {
				/* alert('Please Enter First Name'); */
				document.getElementById('Createpasswords').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('Createpasswords').style.borderColor = "black";
			}
			var Confirmpasswords = document.getElementById('Confirmpasswords').value;
			if (Confirmpasswords == "") {
				/* alert('Please Enter First Name'); */
				document.getElementById('Confirmpasswords').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('Confirmpasswords').style.borderColor = "black";
			}
			if (Createpasswords != Confirmpasswords) {
				document.getElementById('passwordmatch').innerHTML = "Password And Confirm Password Should be Same";
				return false;
			} else {
				document.getElementById('passwordmatch').innerHTML = "";
			}

			if (returnFlag) {

				var otp = sessionStorage.otp;
				var forgotPassword = { "userName": emailId, "password": Createpasswords, "confirmPassword": Confirmpasswords, "activationKey": sessionStorage.otp };


				var authentication = API_URL + "auth/api/v1/user/change-password"
				$.ajax({
					type: 'POST',
					url: authentication,
					contentType: 'application/json',
					dataType: 'json',
					headers: { "Accepts": "text/plain; charset=utf-8", "CSRFToken": cookiesSessionId },
					data: JSON.stringify(forgotPassword),
					success: function (response, status, jqXHR) {
						if (response.success == true) {
							$("#createpasswordHide").hide();
							$("#confirmpasswordHide").hide();
							$("#resetPasswordchange").hide();
							$("#loginButtonHide").show();
							$("#passwordHide").show();

							Lobibox.notify('success', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.message
							});

						} else if (response.status == "failure") {

							Lobibox.notify('error', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.errorMessage
							});
						} else {

							Lobibox.alert('error', {
								msg: response.data.errorMessage
							});
						}

					}, error: function (response, status, err) {
						if (response.status == 401) {
							Lobibox.notify('error', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.responseJSON.message
							});
						} else if (response.status == 500) {
							Lobibox.notify('error', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.responseJSON.message
							});
						}
					},


				});

			}

		}
		var orgId = 1;
		var captchUrl = API_URL + "auth/api/v1/open-config/" + orgId;

		function recaptchaa() {
			$.ajax({
				type: 'GET',
				url: captchUrl,
				contentType: 'application/json',
				dataType: 'json',
				headers: { "Accepts": "text/plain; charset=utf-8", "CSRFToken": cookiesSessionId },
				success: function (response, status, jqXHR) {
					if (status == "success") {
						sessionStorage.setItem('configKeys', JSON.stringify(response));

						var google_recaptcha_public_key = response.data.google_recaptcha_public_key;

						// document.getElementById('gtaglink').setAttribute("src","https://www.googletagmanager.com/gtag/js?id="+google_analytics_tag);

						// document.getElementById('gtagconfig').innerHTML = "window.dataLayer = window.dataLayer || [];function gtag(){dataLayer.push(arguments);}gtag('js', new Date());gtag('config', '"+google_analytics_tag+"');";

						document.getElementById('recaptchaa').setAttribute("src", "https://www.google.com/recaptcha/api.js?render=" + google_recaptcha_public_key);
						// login() ;

						setTimeout(() => {
							grecaptcha.ready(function () {
								grecaptcha.execute(response.data.google_recaptcha_public_key, {})
									.then(function (token) {
										proceedlogin(token);
									});
							});
						}, 500)

					}
				}
			});
		}
		var useremailId;
		var userpassword;
		function login() {
			var returnFlag = true;
			//validations
			useremailId = document.getElementById('emailids').value;
			if (useremailId == "") {
				/* alert('Please Enter First Name'); */
				document.getElementById('emailids').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('emailids').style.borderColor = "black";
			}
			userpassword = document.getElementById('passwords').value;
			if (userpassword == "") {
				/* alert('Please Enter First Name'); */
				document.getElementById('passwords').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('passwords').style.borderColor = "black";
			}
			if (returnFlag) {
				recaptchaa();
			}
		}
		function proceedlogin(token) {

			// var logindetaill = { "username" : useremailId, "password" : userpassword, "module": 3 };

			var logindetaill = { "username": useremailId, "password": userpassword, "module": 3 };

			var authentication = API_URL + "auth/api/v1/corp/authenticate";
		
			sessionStorage.setItem('loginreq', JSON.stringify(useremailId));
			$.ajax({
				type: 'POST',
				url: authentication,
				contentType: 'application/json',
				dataType: 'json',
				headers: { "Accepts": "text/plain; charset=utf-8", "CSRFToken": cookiesSessionId, "g-recaptcha-response": token },
				data: JSON.stringify(logindetaill),
				success: function (response, status, jqXHR) {
					if (response.authToken != undefined) {

						var authenticationreqres = response;
						// localStorage.setItem('authentication', JSON.stringify(authenticationreqres));
						sessionStorage.setItem('authToken', JSON.stringify(authenticationreqres.authToken));
						sessionStorage.setItem('companyDetails', JSON.stringify(authenticationreqres.loginDetails));
						sessionStorage.setItem('refreshToken', JSON.stringify(authenticationreqres.refreshToken));

						var location = window.location.href;
						var websitehomeLocation = location.concat("", "!#!/home");
						// var websitehomeLocation = location.replace("login.html", "#!/home");
						console.log("loginpage")

						/* $location.path('/home'); */
						sessionStorage.setItem('b2bLoginResponse', ("alreadyLogged"));
						sessionStorage.setItem('loginUserName', (useremailId));
						//window.location.href = websitehomeLocation;
						if(response.changePassword === false){
							window.location.href=websitehomeLocation;
						}else if(response.changePassword === true){
							getBlockedPswrdList();
							$("#loginAccount").hide();
							$("#verifyOtpmail").hide();
							$("#passwordHide").hide();
							$("#passwordHide1").hide();
							$("#frgtLine").hide();
							$("#loginButtonHide").hide();
							$("#changePswrd").show();
							$("#currentpassword").show();
							$("#createpasswordHide").show();
							$("#confirmpasswordHide").show();
							$("#changePswrdBtn").show();
						}


					} else {

					}

				}, error: function (response, status, err) {
					if (response.status == 401) {
						Lobibox.alert('error', {
							msg: response.responseJSON.message
						});
					} else if (response.status == 403) {
						Lobibox.alert('error', {
							msg: response.responseJSON.message
						});
					}
				},


			});
		}

		function getBlockedPswrdList(){
			var requestUrl = API_URL + "auth/api/v1/user/blockedPasswords";
			let sessionAuthToken = JSON.parse(sessionStorage.getItem('authToken'));
			$.ajax({
				type: 'GET',
				url: requestUrl,
				contentType: 'application/json',
				dataType: 'json',
				headers: {
					"Accepts": "text/plain; charset=utf-8",
					"CSRFToken": cookiesSessionId, 'Authorization': 'Bearer ' +  sessionAuthToken
				},
				success: function (response, status, jqXHR) {
					if(response.data){
						blockedPswrdList = response.data;
					}

				}, error: function (response, status, err) {
					console.log(response.responseJSON.message);
				},
			});
		}

		function changeNewPswrd(){
			var returnFlag = true;
			var oldPswrd = document.getElementById('currentpswrd').value;
			var createNewPassword = document.getElementById('Createpasswords').value;
			var confirmNewPassword = document.getElementById('Confirmpasswords').value;
			var errMsg = document.getElementById('passwordmatch');

			if (oldPswrd == "") {
				document.getElementById('currentpswrd').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('currentpswrd').style.borderColor = "#ddd";
			}
			if (createNewPassword == "") {
				document.getElementById('Createpasswords').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('Createpasswords').style.borderColor = "#ddd";
			}
			if (confirmNewPassword == "") {
				document.getElementById('Confirmpasswords').style.borderColor = "red";
				returnFlag = false;
			} else {
				document.getElementById('Confirmpasswords').style.borderColor = "#ddd";
			}
			if (createNewPassword != confirmNewPassword && createNewPassword.length > 0 && confirmNewPassword.length > 0) {
				errMsg.innerHTML = "New password And Confirm Password Should be Same";
				return false;
			}
			if (oldPswrd == createNewPassword) {
				errMsg.innerHTML = 'Current password and new password should not be same';
				returnFlag = false;
			}
			if (createNewPassword == confirmNewPassword && oldPswrd != createNewPassword) {
				errMsg.innerHTML = '';
			}


			if(returnFlag){
				var chgPswrdUrl = API_URL + "auth/api/v1/user/change-password";
				let companyDetails = JSON.parse(sessionStorage.getItem('companyDetails'));
				let sessionAuthToken = JSON.parse(sessionStorage.getItem('authToken'));
				let changeNewPswrdRequest = {    
					"userId":companyDetails.userId,
					"agencyId":companyDetails.companyId,
					"userName":companyDetails.userName,
					"oldPassword":oldPswrd,
					"password":createNewPassword, 
					"confirmPassword":confirmNewPassword,
					"userEmail": companyDetails.userEmail
				}
				$.ajax({
					type: 'POST',
					url: chgPswrdUrl,
					contentType: 'application/json',
					dataType: 'json',
					headers: { "Accepts": "text/plain; charset=utf-8", 
					"CSRFToken": cookiesSessionId, 'Authorization': 'Bearer ' +  sessionAuthToken },
					data: JSON.stringify(changeNewPswrdRequest),
					success: function (response, status, jqXHR) {
						if (response.success == true) {
							Lobibox.notify('success', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.message
							});
							logout();
						}
					}, error: function (response, status, err) {
						if (response.status == 401 || response.status == 403) {
							Lobibox.notify('error', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.responseJSON.message
							});
						} else if (response.status == 500) {
							Lobibox.notify('error', {
								size: 'mini',
								delay: 5000,
								position: 'right top',
								msg: response.responseJSON.error
							});
						}
					},
				});
			}
		}

		function logout() {
			let logoutURL = API_URL + "auth/api/v2/sign-out";
			let sessionAuthToken = JSON.parse(sessionStorage.getItem('authToken'));
			var headersOptions = {
				'Content-Type': 'application/json',
				'Authorization': 'Bearer ' + sessionAuthToken,
				"CSRFToken": cookiesSessionId
			}
			$.ajax({
				type: 'DELETE',
				url: logoutURL,
				headers: headersOptions,
				success: function (response, status, jqXHR) {
					if (response.success == true) {
						localStorage.clear();
						sessionStorage.clear();
						document.getElementById('emailids').value = '';
						document.getElementById('passwords').value = '';
						$("#loginAccount").show();
						$("#verifyOtpmail").show();
						$("#passwordHide").show();
						$("#passwordHide1").show();
						$("#frgtLine").show();
						$("#loginButtonHide").show();
						$("#changePswrd").hide();
						$("#currentpassword").hide();
						$("#createpasswordHide").hide();
						$("#confirmpasswordHide").hide();
						$("#changePswrdBtn").hide();
					}
				}, error: function (response, status, err) {
					if (response.status == 401) {
						localStorage.clear();
						sessionStorage.clear();
						$("#loginAccount").show();
						$("#verifyOtpmail").show();
						$("#passwordHide").show();
						$("#passwordHide1").show();
						$("#frgtLine").show();
						$("#loginButtonHide").show();
						$("#changePswrd").hide();
						$("#currentpassword").hide();
						$("#createpasswordHide").hide();
						$("#confirmpasswordHide").hide();
						$("#changePswrdBtn").hide();
					} else if (response.status == 403) {
						Lobibox.notify('error', {
							size: 'mini',
							delay: 5000,
							position: 'right top',
							msg: response.responseJSON.error
						});
					}
				},
			});
		}

	</script>
</body>

</html>